[![Build Status](https://github.com/seek4science/seek/actions/workflows/tests.yml/badge.svg?branch=master)](https://github.com/seek4science/seek/actions/workflows/tests.yml)

# FAIRDOM-SEEK

## License

Copyright © 2009-2022, University of Manchester and HITS gGmbH

[BSD 3-clause](BSD-LICENSE)

## About FAIRDOM-SEEK

The FAIRDOM-SEEK platform is a web-based resource for sharing heterogeneous scientific research datasets,models or simulations, processes and research outcomes. It preserves associations between them, along with information about the people and organisations involved.
Underpinning SEEK is the ISA infrastructure, a standard format for describing how individual experiments are aggregated into wider studies and investigations. Within SEEK, ISA has been extended and is configurable to allow the structure to be used outside of Biology.

FAIRDOM-SEEK is incorporating semantic technology allowing sophisticated queries over the data, yet without getting in the way of your users.

For an example of FAIRDOM-SEEK please visit our [Demo](http://demo.seek4science.org/).

To see FAIRDOM-SEEK being used for real science, as part of [FAIRDOM](http://fair-dom.org) please visit [FAIRDOMHub](http://fairdomhub.org)

For more information please visit: [SEEK for Science](http://www.seek4science.org/)

## FAIRDOM

FAIRDOM-SEEK is being developed and funded as part of the FAIRDOM initiative.
For more information please visit: [FAIRDOM](http://fair-dom.org).


## Installation

We recommend installing FAIRDOM-SEEK on Debian or Ubuntu.

To install the latest release please visit:
[SEEK install guide](http://docs.seek4science.org/tech/install.html)

For details about other distributions and installing on Mac OS X please visit:
[Other distributions guide](http://docs.seek4science.org/tech/other-distributions.html)

The documentation is available on the *ghpages* branch.

## Contacting Us

For details about how to contact us, to raise bugs or offer suggestion, please visit [Contacting Us](http://docs.seek4science.org/contacting_us.html)

## Contributing to FAIRDOM-SEEK

In general :

1. Fork it ( https://github.com/seek4science/seek/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request

For more details on how and what you can contribute to SEEK please visit [Contributing](http://docs.seek4science.org/contributing.html)





