module Seek
  module Ontologies
    module OntologyClassExtensionWithSuggestedType
      extend ActiveSupport::Concern

      def children
        super + suggested_children
      end

      def suggested_children
        case term_type
        when 'assay', 'modelling_analysis'
          SuggestedAssayType.where(ontology_uri: uri.try(:to_s)).to_a
        when 'technology'
          SuggestedTechnologyType.where(ontology_uri: uri.try(:to_s)).to_a
        else
          []
        end
      end

      def suggested_type?
        false
      end

      def can_edit?(_user = User.current_user)
        false
      end

      def can_destroy?(_user = User.current_user)
        false
      end

      def assays
        uris = hash_by_uri.keys
        case term_type
        when 'assay', 'modelling_analysis'
          Assay.where(assay_type_uri: uris)
        when 'technology'
          Assay.where(technology_type_uri: uris)
        else
          []
        end
      end
    end
  end
end
