<a name="people"></a>A **Person** in SEEK is someone who participates directly or indirectly in the scientific research described within SEEK. A person may:

* work at one or more <a href="#institutions">**Institutions**</a>
* work on one or more <a href="#projects">**Projects**</a>

A **Person** can have helped to carry out <a href="#investigations">**Investigations**</a>, <a href="#studies">**Studies**</a> and <a href="#assays">**Assays**</a>, and to have been involved in the creation of resources such as <a href="#dataFiles">**DataFles**</a>.

A **Person** has the following associated information:

* **The person's first name**
* **The person's last name**
* A personal description
* An email address for the **Person**
* A URI to a webpage about the **Person**
* The [ORCID](https://orcid.org/) for the **Person**
* A list of strings describing the expertise of the **Person**
* A list of strings describing the tools that the **Person** uses
* The telephone number of the **Person**, including country code
* The [Skype](https://www.skype.com) name of the **Person**

A response for a **Person** such as that for a <a href="#create">**Create**</a>, <a href="#read">**Read**</a> or <a href="#update">**Update**</a> includes the additional information

* A URI to an image used as the **Person's** avatar
* The **Person's** title, made from their first and last name
* A list of the <a href="#projects">**Project**</a> positions held by the **Person**

* References to the <a href="#projects">**Projects**</a> in which the **Person** is involved
* References to the <a href="#institutions">**Institutions**</a> where the **Person** works
* References to the <a href="#investigations">**Investigations**</a> in which the **Person** is involved
* References to the <a href="#studies">**Studies**</a> in which the **Person** is involved
* References to the <a href="#assays">**Assays**</a> in which the **Person** is involved
* References to the <a href="#dataFiles">**DataFiles**</a> associated with the **Person**
* References to the <a href="#documents">**Documents**</a> associated with the **Person**
* References to the <a href="#models">**Models**</a> associated with the **Person**
* References to the <a href="#sops">**SOPs**</a> associated with the **Person**
* References to the <a href="#publications">**Publications**</a> associated with the **Person**
* References to the <a href="#presentations">**Presentations**</a> associated with the **Person**
* References to the <a href="#events">**Events**</a> associated with the **Person**

**Note that in the Person response the email address is encoded in mbox_sha1sum**